﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com//gohugoio/hugo/releases/download/v0.76.2/hugo_0.76.2_Windows-32bit.zip'
    url64          = 'https://github.com//gohugoio/hugo/releases/download/v0.76.2/hugo_0.76.2_Windows-64bit.zip'

    checksum       = '4c30bd9118ca8171f4b7bd70f2b9ec259af7be64d0cebe9399acfb41b714cb36'
    checksumType   = 'SHA256'
    checksum64     = '9e316f78542cc0f4e363008ec049912e4d94d09ee2d36704edf9b75943f05e6c'
    checksumType64 = 'SHA256'
}

Install-ChocolateyZipPackage @packageArgs
